Get Contact by email
Request Information
URI Parameters :
| Name | Description | Type | Additional information |
|---|---|---|---|
|
Email of contact |
string |
Required |
Body Parameters :
None.
Response Information
Resource Description :
contact| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary key |
globally unique identifier |
Required |
| firstname |
Firstname of the contact |
string |
Max length: 50 |
| lastname |
Lastname of the contact. If you have one single field available for firstname+lastname then use Lastname |
string |
Required Max length: 50 |
| company_id |
Company of the contact |
globally unique identifier |
Optionally required : company_id,company_code or company must be provided |
| company_code |
Embedded entity "company" using ERP PK when adding/updating contact |
string |
Optionally required : company_id,company_code or company must be provided |
| company |
Embedded entity "company" when adding/updating contact |
company |
Optionally required : company_id,company_code or company must be provided |
| db_language_id |
Language of the contact.If empty, will use the default on the system |
globally unique identifier | |
| db_language_code |
Language code entity using international isocode when adding/updating contact |
string | |
| db_title_id |
The title of the contact |
globally unique identifier | |
| archived |
Archive this contact to not have it anymore on the search |
boolean | |
| functions |
Function of the contact (ServiceManager,...) |
string |
Max length: 64 |
| e_login |
Login of the contact (if have access to ServiceDesk) |
string |
Max length: 50 |
| e_password |
Password in clear text of the contact (if have access to ServiceDesk) |
string |
Max length: 50 |
| notes |
Notes/Remark field |
string | |
| birthdate |
Birthday date |
date | |
| create_date |
Creation date+time |
date | |
| phone |
Phone number of the contact |
string |
Max length: 50 |
| mobile |
a number of the contact |
string |
Max length: 50 |
|
|
string |
Max length: 250 |
|
| skype |
skype |
string |
Max length: 250 |
| private_phone |
Private phone number of the contact |
string |
Max length: 50 |
| private_mobile |
Private mobile number of the contact |
string |
Max length: 50 |
| private_email |
Private email |
string |
Max length: 250 |
| reference_back_office |
Field used for Embedded entity (store there your ERP PK) |
string |
Max length: 50 |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date |
Response Formats
application/json, text/json
{
"id": "64e94157-96ad-48b7-8284-6915e6779760",
"firstname": "sample string 2",
"lastname": "sample string 3",
"company_id": "bddb76ca-9cd9-43bd-bafe-6622786ac967",
"company_code": "sample string 5",
"company": {
"id": "1ba933a0-19eb-4ee7-805e-6d00a11e0709",
"is_client": true,
"is_supplier": true,
"archived": true,
"name": "sample string 5",
"notes": "sample string 6",
"create_date": "2026-11-07T11:22:50.46163+00:00",
"sales_territory_id": "b73f7c0c-67c2-41ed-9f6e-2ff0d44a2f4e",
"sales_territory_code": "sample string 9",
"sales_territory": {
"id": "428ad537-187a-4f74-913c-5c808255c710",
"code": "sample string 2",
"description": "sample string 3",
"sales_organization_id": "4f1ac527-e403-4eae-adb4-c9f24cd6ffe5",
"sales_organization_code": "sample string 5",
"sales_organization": {
"id": "935117e5-1e5f-414a-bd9e-6f91a89f527e",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "86df3098-a752-4113-9516-f0c3ce659c4d",
"db_currency_id": "058c6940-2f95-418a-8590-09b3eaf7b9f0",
"db_language_id": "e311f3b1-022e-4831-bb0c-838eaa2e2d00",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-11-07T11:22:50.46163+00:00"
},
"modified_dateutc": "2026-11-07T11:22:50.46163+00:00"
},
"marketing_segment_id": "f4950115-835c-4d02-bfc5-e9448862763c",
"marketing_segment_code": "sample string 11",
"sales_organization_id": "55f81bcf-47be-4ad1-a3f8-15df1a1ab6ea",
"sales_organization_code": "sample string 13",
"company_sales_status_code": "sample string 14",
"vat_reg_code": "sample string 15",
"is_working_address": true,
"parent_id": "afa62ad8-3321-4de6-9958-f30762a1f3df",
"parent_company_code": "sample string 18",
"phone": "sample string 19",
"fax": "sample string 20",
"url": "sample string 21",
"email": "sample string 22",
"street": "sample string 23",
"street_number": "sample string 24",
"city": "sample string 25",
"zip": "sample string 26",
"db_country_id": "702e45fe-2ca1-422a-9cc1-a3713140abe9",
"db_country_code": "sample string 28",
"feelist_id": "de27b027-ac98-4e48-957d-5544671e114a",
"feelist_reference_back_office": "sample string 30",
"feelist": {
"id": "b4f873a3-9174-4be0-88ec-b8569a173e92",
"name": "sample string 2",
"description": "sample string 3",
"is_default": true,
"default_price": 1.0,
"sales_organization_id": "b8bf2092-8efc-481d-9021-9e304f8672fc",
"sales_organization_code": "sample string 6",
"reference_back_office": "sample string 7",
"modified_dateutc": "2026-11-07T11:22:50.46163+00:00",
"db_currency_id": "52af45de-4b22-4318-b200-42ea183f9c97",
"db_currency_code": "sample string 10"
},
"company_type_id": "21e35fac-8c68-4da7-9654-4f13f26920ad",
"company_type_name": "sample string 32",
"company_type": {
"id": "829cf3e3-554b-490e-b2ee-28b6496da9e7",
"name": "sample string 2",
"description": "sample string 3",
"sales_organization_id": "87b66acf-fbc8-494a-95ab-88373a73d1cc",
"sales_organization_code": "sample string 5"
},
"db_language_id": "50b11cb3-a1dc-4c4f-b7e2-cfabbb59205f",
"db_language_code": "sample string 34",
"code": "sample string 35",
"article_price_label_id": "bcfbdb63-f8ea-4492-a5e8-edf5f5979530",
"article_price_label_code": "sample string 37",
"db_payment_method_id": "767862cb-a263-48e1-8174-2142dc550bf6",
"db_payment_method_reference_back_office": "sample string 39",
"db_payment_methods": {
"id": "271ebfbf-86a7-4078-ac3d-2358fe07d8c0",
"name": "sample string 2",
"description": "sample string 3",
"reference_back_office": "sample string 4",
"activated": true,
"modified_dateutc": "2026-11-07T11:22:50.46163+00:00"
},
"company_sector_id": "c0266d2e-ccd4-4f7e-8c53-76e0bb31c30a",
"company_sector_code": "sample string 41",
"is_lead": true,
"is_subcontractor": true,
"latitude": 1.0,
"longitude": 1.0,
"street2": "sample string 44",
"bic_code": "sample string 45",
"specialities": "sample string 46",
"register_number": "sample string 47",
"register_city": "sample string 48",
"bankaccount": "sample string 49",
"mobile": "sample string 50",
"service_manager_user_id": "18ea718c-2993-4adf-890d-77e4fe001883",
"service_manager_user_code": "sample string 52",
"finance_manager_user_id": "2ebcea48-2e3e-494b-b12c-94bec971b286",
"finance_manager_user_code": "sample string 54",
"account_manager_user_id": "490855a7-1db8-4e15-83a0-8f52d3a53aad",
"account_manager_user_code": "sample string 56",
"company_status_id": "d8ba57da-aacf-4336-bbee-0b423e3928ca",
"invoice_email_to": "sample string 58",
"modified_dateutc": "2026-11-07T11:22:50.46163+00:00",
"id2": 60
},
"db_language_id": "1731fd59-710b-4fed-a24f-1ff72f1d5fbd",
"db_language_code": "sample string 7",
"db_title_id": "3659da27-b082-477c-a15d-5a8896575be2",
"archived": true,
"functions": "sample string 10",
"e_login": "sample string 11",
"e_password": "sample string 12",
"notes": "sample string 13",
"birthdate": "2026-11-07T11:22:50.46163+00:00",
"create_date": "2026-11-07T11:22:50.46163+00:00",
"phone": "sample string 16",
"mobile": "sample string 17",
"email": "sample string 18",
"skype": "sample string 19",
"private_phone": "sample string 20",
"private_mobile": "sample string 21",
"private_email": "sample string 22",
"reference_back_office": "sample string 23",
"modified_dateutc": "2026-11-07T11:22:50.46163+00:00"
}